using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;
using Android.Graphics;

namespace StackedBarDashes.Droid
{
   public class NativeStackingBarSeriesExt : StackingBarSeries
    {
        
        private Syncfusion.SfChart.XForms.SfChart formsChart;

        private StackingBarExt series;
        public NativeStackingBarSeriesExt(Syncfusion.SfChart.XForms.SfChart formsChart, StackingBarExt series)
        {
            this.formsChart = formsChart;
            this.series = series;
        }

        protected override ChartSegment CreateSegment()
        {
            return new StackingBarSegmentExt(series);
        }
    }
}